2008-11-25  Gabriel Falcão <gabriel@nacaolivre.org>

	* src/guake.py: Applying Licio's (liciofernando@gmail.com) patch for
	dual head monitors. 

2008-08-09  Gabriel Falcão <gabriel@nacaolivre.org>

	* po/pt_BR.po: Fixing a little semantic error.
	* src/guake.py: on delete_tab(), pre-adding a new tab when all tabs get
	closed, it improves the speed of new guake show request
	* src/guake.py: Guake openning new terminals in the same directory than
	current openned tab.

2008-08-07  Gabriel Falcão <gabriel@nacaolivre.org>

	* TODO: Somethings turn obselete since new features had been implemented.
	* configure.ac: Guake version 0.4.0
	* src/guake.py: Avoinding gdk device mods mistakes then handling the
	resizer.

2008-08-05  Gabriel Falcão <gabriel@nacaolivre.org>

	* src/guake.py: Now guake can be resized with a resizer :)
	* data/guake.glade: Adding a GtkHPaned as resizer for guake
	* data/guake.schemas: Adding two new boolean keys: show_toolbar and show_resizer
	* data/guake.glade: toolbar (tabs) is no more affected by window.show_all()
	* src/guake.py: Guake are listening to GConf! (only show_resizer and
	show_toolbar stuff for now)
	* data/guake.schemas: Adding a new boolean key:	toolbar_visible_in_fullscreen
	* src/guake.py: Guake checking if the tabs must be visible when in
	fullscreen mode.

2008-08-04  Lincoln de Sousa  <lincoln@minaslivre.org>

	* data/about.glade: Adding translators in about dialog.

2008-08-03  Lincoln de Sousa  <lincoln@minaslivre.org>

	* src/guake.py (Guake.__init__): Getting/showing the accel label
	instead of name, the < and > symbols were bothering pango and it's
	better to show a pretty label to the user.

2008-08-03  Lincoln de Sousa  <lincoln@minaslivre.org>

	* src/guake.py (Guake.on_rename_activate): Making it possible to
	press enter instead of clicking in ok button to save the tab
	renaming.

2008-07-30  Lincoln de Sousa  <lincoln@alfaiati.net>

	* src/eggcellrendererkeys: Removed.

	* configure.ac:
	* src/Makefile.am: Removing references of eggcellrendererkeys.

	* src/guake.py: Removing all references of eggcellrendererkeys,
	gtk provides a bult-in CellRendererAccel, I don't know how I
	didn't see it before =/

2008-07-25  Lincoln de Sousa  <lincoln@minaslivre.org>

	* configure.ac: Bump to version 0.3.1

2008-07-24  Lincoln de Sousa  <lincoln@minaslivre.org>

	Bug #57 - Problems when listing $PATH directories.

	* src/guake.py (PrefsDialog.populate_shell_combo): Last commit
	fixed just a part of the whole problem, if the user has something
	in the $PATH different of a directory the problem was raising
	again.

2008-07-22  Gabriel Falcão <gabriel@nacaolivre.org>

	* data/guake.1: Fixing a typo in manpage: from --hide to --help
	* debian/: Adding the debian package structure inside guake upstream

2008-07-21  Lincoln de Sousa  <lincoln@minaslivre.org>

	* src/guake.py (PrefsDialog.populate_shell_combo): Avoiding list
	of unexistent directories.

2008-07-17  Lincoln de Sousa  <lincoln@minaslivre.org>

	* po/POTFILES.in: Adding eggcellrendererkeys.c

2008-07-17  Lincoln de Sousa  <lincoln@minaslivre.org>

	Bug #48 - /usr/bin/guake is selectable as "default interpreter"

	* src/guake.py (PrefsDialog.populate_shell_combo): Now it lists
	all found python interpreters in path.

	* NEWS: Just telling to the world about this new feature =)

2008-07-10  Lincoln de Sousa  <lincoln@minaslivre.org>

	* src/guake.py (Guake.on_window_lostfocus): Testing if the main
	window is already hidden before hide it (Closes #6).

	* configure.ac: Adding es, pl and ru_RU to ALL_LINGUAS.

2008-07-08  Lincoln de Sousa  <lincoln@minaslivre.org>

	Bug #31 - Double click behavior

	* src/guake.py (Guake.add_tab): Setting word_chars of each new
	terminal.

	* data/guake.schemas: Adding word_chars property in guake schemas.

2008-06-26  Gabriel Falcão  <gabriel@nacaolivre.org>

	* data/guake.1: Added.

	* data/Makefile.am: Adding man file.

2008-06-22  Lincoln de Sousa  <lincoln@minaslivre.org>

	* src/guake.py (Guake): Added load_accel_map method to make Quit
	context menu works (Closes #33).

	* src/guake.py: Fixing problems in "Stay on top" toggle, Patch by
	infinito (Closes #25).

2008-06-20  Lincoln de Sousa  <lincoln@minaslivre.org>

	* NEWS: Updated.

	* README: Adding pygtk in dependency list.

	* src/eggcellrendererkeys/Makefile.am: Adding
	eggcellrendererkeys-arg-types.py to EXTRA_DIST.

2008-06-19  Lincoln de Sousa  <lincoln@minaslivre.org>

	* data/prefs.glade: Fixing some Adding compatibility keybindings
	to backspace and delete keys and fixing some spaces.

	* src/guake.py: Fixing some gettext calls, patch by
	infinito. Closes #27.

	* src/guake.py: (Guake.show_context_menu): Making double/triple
	click to select words as in gnome-terminal. Closes #31.

2008-06-19  Lincoln de Sousa  <lincoln@minaslivre.org>

	* data/prefs.glade: Added compatibility tab (stolen from
	gnome-terminal =)

	* data/guake.schemas: Added two new keys (compat_backspace,
	compat_delete).

	* src/guake.py (Guake, PrefsDialog): Setting delete and backspace
	compatibility bindings as in gnome-terminal. Thanks so much
	gnome-terminal guys)

2008-06-18  Lincoln de Sousa  <lincoln@minaslivre.org>

	* data/guake.schemas: Adding the close_tab schema entry.

	* src/guake.py (PrefsDialog.on_key_cleared): Unbinding accel when
	cleared.

	* src/guake.py (Guake.load_accelerators): Adding close_tab
	binding (Closes: #4).

2008-06-16  Lincoln de Sousa  <lincoln@minaslivre.org>

	* src/guake.py (KeyEntry): Adding __repr__ and __eq__ methods to
	make it easy and pythonic to compare with other keyentry and to
	debug.

	* src/guake.py (PrefsDialog.on_key_edited): Adding validation to
	avoid repeated keybindings and to avoid using simple keys
	as [a-zA-Z0-9] keys.

	* src/guake.py (PrefsDialog): Adding a way to clear a keybinding
	with on_key_cleared method.

2008-06-15  Lincoln de Sousa  <lincoln@minaslivre.org>

	* configure.ac: Bump to version 0.3.

	* Makefile.am: Removing some intl files reference (it was breaking
	make dist rule)

	* m4/intltool.m4: Updates from intltool.

	* src/guake.py (PrefsDialog): Changed the old way of showing
	keybindings to the way that uses eggcellrendererkeys.

	* src/guake.py (KeyEntry): Added to support above change.

	* src/eggcellrendererkeys/cellrendererkeys.override: Overriding
	egg_accelerator_parse_virtual function to make it pythonic.

	* src/eggcellrendererkeys/cellrendererkeys.defs: Renaming
	virtual_accelerator_label to accelerator_label and
	virtual_accelerator_name to accelerator_name. Adding
	accelerator_parse_virtual definition.

2008-06-15  Lincoln de Sousa  <lincoln@minaslivre.org>

	* src/eggcellrendererkeys/*: Adding bindings to
	EggCellRendererKeys, a renderer that shows key shortcuts.

	* configure.ac:
	* src/Makefile.am: Adding dependencies and subdirectories to
	compile eggcellrendererkeys.

2008-06-11  Lincoln de Sousa  <lincoln@minaslivre.org>

	* data/guake.glade: Adding the tab-menu widget.

	* src/guake.py: Code cleanup and comments added.

	* src/guake.py (Guake): Adding a context menu to each tab with
	rename and close options.

2008-06-11  Lincoln de Sousa  <lincoln@minaslivre.org>

	* src/guake.py (Guake): Finishing initial tab issues, like close,
	now the child process is being killed with SIGKILL. Terminal focus
	on tab click was fixed too. last_pos attribute and its setter were
	removed.

	* data/guake.glade: adding close tab menu entry and fixing little
	focus issues on main notebook.

2008-06-10  Lincoln de Sousa  <lincoln@minaslivre.org>

	* src/guake.py: Starting to implement the new tabs
	system (acctualy almost finishing =) and updating image names.

	* src/statusicon.py: Updating notification image name.

2008-06-10  Lincoln de Sousa  <lincoln@minaslivre.org>

	* data/guake.glade: Hiding tabs and border from the main notebook,
	fixing add tab button image, removing the "guake" name in left
	side and adding an hbox to be the place holder to the new tab
	system.

	* data/pixmaps/add_tab.svg:
	* data/pixmaps/close.svg:
	* data/pixmaps/statusicon_*: Removed.

	* data/pixmaps/guake.svg: Adding some lights and reducing some
	borders.

	* data/pixmaps/guake.png: Generated from the new guake.svg;

	* data/pixmaps/guake-notification.png:
	* data/pixmaps/guake-tray.png: Added.

	* data/pixmaps/Makefile.am: Updating changed files in
	pixmaps_DATA.

2008-06-04  Lincoln de Sousa  <lincoln@minaslivre.org>

	* data/prefs.glade: Adding a better tittle and setting some
	paddings and spaces.

	* data/tab{down, up}.svg: Making these images a bit smaller.

	* data/guake.glade: removing Modal flag from the main window (it
	was bothering preferences and about dialogs'

2008-06-03  Lincoln de Sousa  <lincoln@minaslivre.org>

	* data/Makefile.am: Clean up.

	* src/guake.py (Guake.show): Moving window after shown.

	* src/guake.py (Guake.show_prefs, Guake.show_about)
	(PrefsDialog.show): Making dialogs be shown and hidden without
	bothering main window.

	* data/guake.glade: Removing version number from main window and
	removing window position from center.

	* data/prefs.glade: This dialog is no longer set as modal and
	crazy glade changes.

2008-06-03  Gabriel Falcão <gabriel@nacaolivre.org>

	* configure.ac: ALL_LINGUAS configured by adding japanese
	translation. Version changed to 0.2

2008-05-28  Gabriel Falcão <gabriel@nacaolivre.org>

	* src/guake.py: Applied patch from SteveD <dashdot@f-m.fm> that fixes the
	bug of scrollbars, ticket #1.
	* src/guake.py: Applied a modificated version of SteveD's patch for
	"infinite VTEs" bug, reported in ticket #3,

2007-11-26  Lincoln de Sousa  <lincoln@minaslivre.org>

	* data/pixmaps/Makefile.am: Fixing little problem in line 6, I forgot to
	put a slash and it was removing some images from the distribution pack.

2007-11-17  Lincoln de Sousa <lincoln@minaslivre.org>

	* Makefile.am: Adding EXTRA_DIST and DISTCLEANFILES to make intltool
	works in make distcheck.

	* configure.ac: Fixing version number.

	* po/POTFILES.in: Adding some python files that should be
	internationalized.

2007-10-24  Lincoln de Sousa <lincoln@minaslivre.org>

	* data/prefs.glade: Gnome Hig compilance by n3rd3x, thank you guy =)

2007-10-10  Lincoln de Sousa <lincoln@minaslivre.org>

	* data/guake.glade: Removing tabs from notebool-terminals widget, they are
	unuseful and generates a warning when starts guake.

	* data/guake.schemas: Adding a new entry to store `toggle fullscreen`
	accell key.

	* src/guake.py: Adding a new entry in LHOTKEYS tuple.

	* src/guake.py (Guake): Adding a new boolean attribute to store fullscreen
	state and adding the function that toggles this state called
	accel_toggle_fullscreen and its association in load_accelerators.

2007-10-10  Gabriel Falcão <root@gabrielfalcao.com>

	* data/pixmaps/close.svg: A little bit bigger close image for tabs.

	* data/guake.glade: A context-menu was created with gtk.menu widget.

	* data/guake.schemas: New schema entries for keyboard shortcuts in
	copy/paste

	* src/guake.py: Adding a context menu for the 3rd mouse button press event.

	* src/guake.py: Key bind accellerators added for copy/paste from guake.

	* src/guake.py: In preferences window, added the entries to edit clipboard
	shortcut keys.

2007-10-07  Lincoln de Sousa <lincoln@minaslivre.org>

	* data/prefs.glade: Fixing callback name in shell combo signal connection.

	* src/guake.py: Testing if a shell exists before put it in the combo.

2007-10-06  Gabriel Falcão <root@gabrielfalcao.com>

	* data/pixmaps/tabdown.svg: Tangonified
	* data/pixmaps/tabup.svg: Tangonified

2007-10-06  Lincoln de Sousa <lincoln@minaslivre.org>

	* configure.ac: Fixing bug tracker url and changing version to 0.1a.

	* data/pixmaps/down_in.svg:
	* data/pixmaps/down_normal.svg:
	* data/pixmaps/guakelogo.svg:
	* data/pixmaps/left_in.svg:
	* data/pixmaps/left_normal.svg:
	* data/pixmaps/littleguakelogo.png:
	* data/pixmaps/littleguakelogo.svg:
	* data/pixmaps/new_guakelogo.png:
	* data/pixmaps/right_in.svg:
	* data/pixmaps/right_normal.svg:
	* data/pixmaps/up_in.svg:
	* data/pixmaps/up_normal.svg: Removed.

	* data/pixmaps/Makefile.am: Fixing names of images that were [re]moved.

	* data/pixmaps/guake.svg: Considered as the original image used to make
	all other guake logos, came from down_normal.svg old image.

	* src/guake.py (Guake.__init__): Fixing main image name (below tabs), to
	point to statusicon_out.png.

	* src/guake.py (AboutDialog.__init__):
	* data/about.glade: Fixing emails, adding gabriel in artists list,
	improving guake description, adding version information and setting
	application name in about window.

	* src/guake.py (PrefsDialog.__init__): Fixing jpg, jpeg file filters to be
	passed to gtk.FileChooser.

	* src/guake.py (PrefsDialog.on_key_edited): Fixing rebinding of global
	hotkeys.

	* src/guake.py (Guake, PrefsDialog): removing Guake.use_bgimage as
	attribute, gconf is a really good framework to store/manage configuration.

	* src/guake.py (Guake.show): Setting the main window to be shown in all
	desktos with the .stick() method.

	* src/guake.py (Guake): Added toggle_scrollbars method and fixing problems
	when hidding/showing scrollbars and added a notification when guake starts.

	* src/guake.in: Adding the -a flag to change the process name and make it
	easy to find guake by using ps or another process management tool.

	* src/common.py (ShowableError): avoiding sys.exit when exit_code == -1.

	* src/common.py (pixmapfile, gladefile): Now these functions returns the
	absolute path of files.

2007-10-02  Lincoln de Sousa  <lincoln@minaslivre.org>

	* src/guake.py (PrefsDialog):
	* src/guake.py (PrefsDialog.load_configs): Widget spinHistorySize renamed
	to historysize-spinbutton to follow the name of other widgets, because of
	this, the callback on_spinHistorySize_value_changed was renamed to
	on_historysize_spinbutton_value_changed. Removed animate flag button
	changer.

	* src/guake.py (PrefsDialog.load_configs): Adding warnings when unable to
	parse a color.

	* src/guake.py (PrefsDialog.on_show_scrollbar_checkbutton_toggled): Pep8'ed

	* src/guake.py
	  (PrefsDialog.on_bgimage_filechooserbutton_selection_changed): little var
	  name clean.

	* src/guake.py (Guake.refresh): Comment updated, misspell fixed.

	* src/guake.py (Guake.show): Moving add_tab call to be called before
	self.window.show, to avoid blank screens before adding a tab. And some
	unuseful function calls removed. Not this method resizes and shows the main
	window, see the next entry to understand why.

	* src/guake.py (Guake.animate_hide, Guake.animate_show): Removed, we will
	wait a better moment to implement animated things, now Guake.show and
	Guake.hide makes the work alone.

	* data/guake.glade: window-root is not a popup any more, now it's a
	toplevel window, his type_hint is Normal by default, etc. The
	notebook-terminals widget had his tabs hidden by default, now it can has
	focus, all borders were set to 0, empty pages were removed, because it is
	added by code, not in the glade file. toolbar widget height was set to 22.

	* data/prefs.glade: spinHistorySize widget was renamed to
	historysize-spinbutton (his change signall too), padding and spacing
	changed in many places, misspell fixed in "Hide on lose focus" and remove
	option to choose animated show/hide.

2007-06-21  Lincoln de Sousa <lincoln@archlinux-br.org>

	* src/dialogs.py: Removed.

	* src/Makefile.am: Removing dialog.py from extra dist list.

2007-06-20  Gabriel Falcao <gabrielteratos@gmail.com>

	* src/guake.py: Added a filter to choose only image files in prefs dialog

	* src/guake.py: Added a error handling for bg_filechooser in prefs dialog

2007-06-19  Lincoln de Sousa <lincoln@archlinux-br.org>

	* src/common.py: Adding ShowableError class and test_gconf function.

	* src/guake.py (Guake.add_tab): Improving logic that hiddes scrollbar.

	* src/guake.py (Guake.show): Removing some unusefull code.

	* src/guake.py: Adding a call to test_gconf in main section of module.

2007-06-17  Gabriel Falcao <gabrielteratos@gmail.com>

	* data/guake.schema: Adding two more keys: scrollbar visibe (bool) and
	history size(int)

	* data/prefs.glade: Adding widget to setup scrollback lines (aka. history
	size)

	* data/prefs.glade: Adding widget to setup scrollbar visibility

	* src/guake.py: Added respective methods to handle history size and
	scrollbar visibility

2007-06-17  Lincoln de Sousa <lincoln@archlinux-br.org>

	* src/globalhotkeys/keybinder.c: Removing a little test...

	* src/globalhotkeys/globalhotkeys.c: Adding two lines to make the code
	pretty =D

	* src/globalhotkeys/testbinding.c: Adding license information (Never forget
	this again!!!)

	* src/common.py: Removing translation functions (using bindtextdomain
	function in simpleglade.py)

	* src/guake.py: Calling bindtextdomain function to setup translation,
	changing guakeabt.png image name to guake.png, little code cleanup,

	* src/guake.py (Guake): Some methods was moved to be nearer to methods that
	does closed things (load_config and load_accelerators specifically). Added
	accel_* methods to avoid Control caracters in terminal widget (these
	methods are connected to a key action, and they returns True -- this is the
	trick)

	* src/guake.py (Guake.update_preview_cb): Changing number of params (self
	was not there =/) and removing unecessary try/except and using a simple if.
	The image size was changed too.

	* src/guake.py (Guake.add_tab): Added a scrollbar in every new tab added.

	* src/guake.py (guake.set_last_pos,add_tab): Improved the way to get the
	current tab shown.

	* src/guake.py (Guake.on_terminal_exited): Adding a new parameter (term) to
	this callback. It was necessary because when a terminal exits the widget
	sent is not a terminal, after the change above, it must be sent as
	user_data to this callback.

	* src/simplegladeapp.py: Commenting setlocale call to avoid problems with
	languages with sufixes (as pt_BR.utf8)

	* po-extact: Fixing a bug that was removing all .h files in project =/ no
	it only removes *.glade.h files...

	* data/pixmaps,
	* data/pixmaps/Makefile.am: Added.

	* data/*.png,
	* data/*.svg: Moved to data/pixmaps

	* configure.ac: Adding data/pixmaps/Makefile in output list.

	* TODO: Updated.

2007-06-14  Lincoln de Sousa <lincoln@archlinux-br.org>

	* src/globalhotkeys/example.py: Added

	* src/globalhotkeys/keybinder.c,
	* src/globalhotkeys/keybinder.h: Changing return type of keybinder_bind
	from void to gboolean.

	* src/globalhotkeys/globalhotkeys.c: Making _wrapped_keybinder_bind returns
	bool python values depending on binding works properly.


2007-06-13  Lincoln de Sousa <lincoln@archlinux-br.org>

	* src/common.py: Adding update_ui function (moved from utils.py)

	* src/guake.py: Changing window_size from string to int, renaming
	add_tab.svg to add_tab.png, adding keyboard bindings to add a new tab and
	walk through tabs.
	
	* src/guake.py (Guake): Renaming setTerminalFocus to set_terminal_focus,
	animateHide to animate_hide, animateShow to animate_show, delete_page to
	delete_tab. Adding load_accelerators.
	Removing setOnTop, setAnimationProportions, getScreenSize.

	* src/guake.py (Guake.refresh): Removed PrefsDialog instantiation, that was
	unecessary.

	* src/guake.py (Guake.load_configs): Removing too many unecessary code,
	removing references from removed utils module.

	* src/main.py,
	* src/utils.py: Removed.

	* src/Makefile.am: Removing references of main.py, utils.py and
	guakeApplets.py.

	* data/guake.glade: Adding more configuration of main window to glade file
	and removing that from python code.

	* data/Makefile.am: Removing references from add_tab.svg and addTerm.svg
	and adding reference to add_tab.png.

	* data/add_tab.svg: Resising the image.

	* data/guake.schemas: Changing window_size type from string to int and
	adding more keys (keybindings/local/new_tab,
	keybindings/local/previous_tab, keybindings/local/next_tab)

	* data/add_tab.png: Added

2007-06-03  Lincoln de Sousa <lincoln@archlinux-br.org>

	* src/guakeApplet.py: Removed.

	* TODO: Added more issues, this will be our standard roadmap before
	using a tracker =)

2007-06-01  Lincoln de Sousa <lincoln@archlinux-br.org>

	* src/guake.py: Code cleanup, renaming some methods, to remove the
	mixedCase style and use the underscore_separated style.

2007-05-30  Lincoln de Sousa <lincoln@archlinux-br.org>

	* src/guake.in: Became a shell script, to avoid problems with dbus.

	* src/guake.py: Code cleanup and adding methods that will be called by
	dbus. Renamed method addTerm to add_tab. Changed dbus object name.

	* src/dbusiface.py: Changed name of object from DBus to DBusInterface, and
	changed the way to inform user that dbus will not be available.

	* data/add_tab.svg: Added -- This is a copy of addTerm.svg and was copied
	only because addTerm method has its name changed in guake.py file,
	addTerm.svg still in data dir and will only be removed when we do the
	cleanup in image file names.

	* data/Makefile.am: Added add_tab.svg file in data dir.

2007-05-30  Lincoln de Sousa <lincoln@archlinux-br.org>

	* autogen.sh: Sending all parameters from this to gnome-autogen.sh.

	* configure.ac: Adding more two expanded variables (BINDIR and DATADIR) and
	adding more two output files.

	* TODO: Updating with closed things.

	* src/guake_globals.py.in: Changing paths to be more customizable by the
	configure script.

	* data/Makefile.am: Adding desktop file, dbus service file and schema file.

	* data/guake.desktop.in,
	* data/org.gnome.Guake.service.in: Added

2007-05-27  Lincoln de Sousa <lincoln@archlinux-br.org>
	* data/guake.glade,
	* data/prefs.glade,
	* data/about.glade: Removing image path references, because libglade does
	not have a parameter to set `pixmap dir', so we make it in python.

	* src/guake: Renamed to src/guake.in

	* src/guake.in: Added to be the main script instead of guake.py, it only calls
	guake.run function.

	* m4/*: Added.

	* configure.ac: Adding m4 as macro dir, adding a call to AS_AC_EXPAND set
	LIBDIR with libdir value and adding `src/guake' as an output file.

	* src/Makefile.am: Changing guake dir from prefix/bin to bindir. It was
	made to able the user to change bin dir with the `configure' script.

	* src/common.py,
	* src/guake.py: datapath function was splitted in pixmapfile and gladefile
	functions because if this project doesn't stop to grow, we will separate
	images from glade files in data dir.

	* src/guake.py: Adding image references told above and some code cleanup.

2007-05-26  Lincoln de Sousa <lincoln@archlinux-br.org>
	* AUTHORS,
	* INSTALL,
	* NEWS,
	* autogen.sh,
	* Makefile.am,
	* configure.ac,
	* data/Makefile.am,
	* src/Makefile.am,
	* src/globalhotkeys/Makefile.am,
	* src/guake_globals.py.in,
	* src/guake: Added

	* setup.py: Removed
